<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Plateau</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Plateau";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":9,"i8":9,"i9":9,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":9,"i24":9,"i25":9,"i26":9,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Plateau.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Partie.TypesPartie.html" title="enum in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Propriete.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Plateau.html" target="_top">Frames</a></li>
<li><a href="Plateau.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Plateau" class="title">Class Plateau</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.Plateau</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Plateau</span>
extends java.lang.Object</pre>
<div class="block">Plateau est la classe représentant un plateau du monopoly.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Plateau.html#Plateau-int-int-int-">Plateau</a></span>(int&nbsp;taille,
       int&nbsp;caseDepPassage,
       int&nbsp;caseDepArret)</code>
<div class="block">Constructeur d'un plateau
 Quand la valeur entrée n'est pas bonne le plateau est automatiquement initialisé à 20 cases.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../back/Case.html" title="class in back">Case</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getCase-java.lang.String-">getCase</a></span>(java.lang.String&nbsp;nom)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getCaseDepartArret--">getCaseDepartArret</a></span>()</code>
<div class="block">Récupérer la valeur de la case départ.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getCaseDepartPassage--">getCaseDepartPassage</a></span>()</code>
<div class="block">Récupérer la valeur de la case départ.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getCouleur--">getCouleur</a></span>()</code>
<div class="block">Récupérer la valeur de la couleur.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getId--">getId</a></span>()</code>
<div class="block">Récupérer la valeur de l'id de la case.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../back/Case.html" title="class in back">Case</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getListePlateau--">getListePlateau</a></span>()</code>
<div class="block">Récupérer la liste des cases du plateau.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getLoy0--">getLoy0</a></span>()</code>
<div class="block">Récupérer la valeur du premier loyer, sans matériel.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getLoy1--">getLoy1</a></span>()</code>
<div class="block">Récupérer la valeur du deuxième loyer, avec un matériel.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getLoy2--">getLoy2</a></span>()</code>
<div class="block">Récupérer la valeur du troisième loyer, avec deux matériels.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getLoy3--">getLoy3</a></span>()</code>
<div class="block">Récupérer la valeur du quatrième loyer, avec trois matériels.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getMat1--">getMat1</a></span>()</code>
<div class="block">Récupérer la valeur pour l'achat d'un matériel.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getNbMateriels--">getNbMateriels</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getNom--">getNom</a></span>()</code>
<div class="block">Récupérer la valeur du nom de la case.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getPrixAchat--">getPrixAchat</a></span>()</code>
<div class="block">Récupérer la valeur du prix d'achat.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getTaille--">getTaille</a></span>()</code>
<div class="block">Récupérer la taille du plateau</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getType--">getType</a></span>()</code>
<div class="block">Récupérer la valeur du type de la case.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../view/PlateauView.html" title="class in view">PlateauView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#modifierLoyers-boolean-">modifierLoyers</a></span>(boolean&nbsp;modif)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setCaseDepartArret-int-">setCaseDepartArret</a></span>(int&nbsp;caseDepartArret)</code>
<div class="block">Méthode de modification de la valeur de la case départ.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setCaseDepartPassage-int-">setCaseDepartPassage</a></span>(int&nbsp;caseDepartPassage)</code>
<div class="block">Méthode de modification de la valeur de la case départ.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setCouleur-java.lang.String-">setCouleur</a></span>(java.lang.String&nbsp;couleur)</code>
<div class="block">Methode de modification de la couleur de la case.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setId-int-">setId</a></span>(int&nbsp;id)</code>
<div class="block">Méthode de modification de l'id.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setListePlateau-java.util.ArrayList-">setListePlateau</a></span>(java.util.ArrayList&lt;<a href="../back/Case.html" title="class in back">Case</a>&gt;&nbsp;listePlateau)</code>
<div class="block">Methode de modification des cases du plateau.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setLoy0-int-">setLoy0</a></span>(int&nbsp;loy0)</code>
<div class="block">Methode de modification de la valeur du premier loyer, avec un matériel.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setLoy1-int-">setLoy1</a></span>(int&nbsp;loy1)</code>
<div class="block">Methode de modification de la valeur du deuxième loyer, avec un matériel.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setLoy2-int-">setLoy2</a></span>(int&nbsp;loy2)</code>
<div class="block">Methode de modification de la valeur du troisième loyer, avec deux matériels.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setLoy3-int-">setLoy3</a></span>(int&nbsp;loy3)</code>
<div class="block">Methode de modification de la valeur du quatrième loyer, avec trois matériels.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setMat1-int-">setMat1</a></span>(int&nbsp;mat1)</code>
<div class="block">Méthode de modification de la valeur d'un achat de matériel.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setNom-java.lang.String-">setNom</a></span>(java.lang.String&nbsp;nom)</code>
<div class="block">Méthode de modification du nom de la case.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setPrixAchat-int-">setPrixAchat</a></span>(int&nbsp;prixAchat)</code>
<div class="block">Méthode de modification du prix d'achat.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#setType-int-">setType</a></span>(int&nbsp;type)</code>
<div class="block">Méthode de modification du type de la case.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Plateau.html#toutesCasesAchetees--">toutesCasesAchetees</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Plateau-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Plateau</h4>
<pre>public&nbsp;Plateau(int&nbsp;taille,
               int&nbsp;caseDepPassage,
               int&nbsp;caseDepArret)</pre>
<div class="block">Constructeur d'un plateau
 Quand la valeur entrée n'est pas bonne le plateau est automatiquement initialisé à 20 cases. 
 On initialise la liste des cases du plateau dans la liste.
 On initialise aussi le nombre de ligne dans le fichier csv.s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>taille</code> - Le nombre de cases du plateau à créer, 20 ou 28.</dd>
<dd><code>caseDepPassage</code> - l'argent que l'on recupère quand on passe la case départ</dd>
<dd><code>caseDepArret</code> - l'argent que l'on recupère quand on passe la case départ</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../view/PlateauView.html" title="class in view">PlateauView</a>&nbsp;getView()</pre>
</li>
</ul>
<a name="getTaille--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaille</h4>
<pre>public&nbsp;int&nbsp;getTaille()</pre>
<div class="block">Récupérer la taille du plateau</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la taille du plateau, il s'agit du nombre de cases du plateau.</dd>
</dl>
</li>
</ul>
<a name="getCaseDepartPassage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCaseDepartPassage</h4>
<pre>public&nbsp;int&nbsp;getCaseDepartPassage()</pre>
<div class="block">Récupérer la valeur de la case départ.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur au passage de la case départ.</dd>
</dl>
</li>
</ul>
<a name="setCaseDepartPassage-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCaseDepartPassage</h4>
<pre>public&nbsp;void&nbsp;setCaseDepartPassage(int&nbsp;caseDepartPassage)</pre>
<div class="block">Méthode de modification de la valeur de la case départ.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>caseDepartPassage</code> - La nouvelle valeur de la case départ.</dd>
</dl>
</li>
</ul>
<a name="getCaseDepartArret--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCaseDepartArret</h4>
<pre>public&nbsp;int&nbsp;getCaseDepartArret()</pre>
<div class="block">Récupérer la valeur de la case départ.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur à l'arrêt sur la case départ.</dd>
</dl>
</li>
</ul>
<a name="setCaseDepartArret-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCaseDepartArret</h4>
<pre>public&nbsp;void&nbsp;setCaseDepartArret(int&nbsp;caseDepartArret)</pre>
<div class="block">Méthode de modification de la valeur de la case départ.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>caseDepartArret</code> - La nouvelle valeur de la case départ.</dd>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
<div class="block">Récupérer la valeur de l'id de la case.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur de l'id.</dd>
</dl>
</li>
</ul>
<a name="setId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(int&nbsp;id)</pre>
<div class="block">Méthode de modification de l'id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - La nouvelle valeur de l'id.</dd>
</dl>
</li>
</ul>
<a name="getNom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNom()</pre>
<div class="block">Récupérer la valeur du nom de la case.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Une chaine de charatères correspondant au nom de la case.</dd>
</dl>
</li>
</ul>
<a name="setNom-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNom</h4>
<pre>public&nbsp;void&nbsp;setNom(java.lang.String&nbsp;nom)</pre>
<div class="block">Méthode de modification du nom de la case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Le nouveau nom.</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;int&nbsp;getType()</pre>
<div class="block">Récupérer la valeur du type de la case.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant au type de la case.</dd>
</dl>
</li>
</ul>
<a name="setType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public&nbsp;void&nbsp;setType(int&nbsp;type)</pre>
<div class="block">Méthode de modification du type de la case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - La nouvelle valeur du type.</dd>
</dl>
</li>
</ul>
<a name="getPrixAchat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrixAchat</h4>
<pre>public&nbsp;int&nbsp;getPrixAchat()</pre>
<div class="block">Récupérer la valeur du prix d'achat.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant au prix d'achat.</dd>
</dl>
</li>
</ul>
<a name="setPrixAchat-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrixAchat</h4>
<pre>public&nbsp;void&nbsp;setPrixAchat(int&nbsp;prixAchat)</pre>
<div class="block">Méthode de modification du prix d'achat.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prixAchat</code> - caseDepartPassage
                La nouvelle valeur du prix d'achat.</dd>
</dl>
</li>
</ul>
<a name="getMat1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMat1</h4>
<pre>public&nbsp;int&nbsp;getMat1()</pre>
<div class="block">Récupérer la valeur pour l'achat d'un matériel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant la valeur d'achat d'un matériel.</dd>
</dl>
</li>
</ul>
<a name="setMat1-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMat1</h4>
<pre>public&nbsp;void&nbsp;setMat1(int&nbsp;mat1)</pre>
<div class="block">Méthode de modification de la valeur d'un achat de matériel.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mat1</code> - La nouvelle valeur d'achat d'un matériel.</dd>
</dl>
</li>
</ul>
<a name="getLoy0--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoy0</h4>
<pre>public static&nbsp;int&nbsp;getLoy0()</pre>
<div class="block">Récupérer la valeur du premier loyer, sans matériel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur du permier loyer.</dd>
</dl>
</li>
</ul>
<a name="setLoy0-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoy0</h4>
<pre>public static&nbsp;void&nbsp;setLoy0(int&nbsp;loy0)</pre>
<div class="block">Methode de modification de la valeur du premier loyer, avec un matériel.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>loy0</code> - La nouvelle valeur du premier loyer.</dd>
</dl>
</li>
</ul>
<a name="getLoy1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoy1</h4>
<pre>public static&nbsp;int&nbsp;getLoy1()</pre>
<div class="block">Récupérer la valeur du deuxième loyer, avec un matériel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur du deuxième loyer.</dd>
</dl>
</li>
</ul>
<a name="setLoy1-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoy1</h4>
<pre>public static&nbsp;void&nbsp;setLoy1(int&nbsp;loy1)</pre>
<div class="block">Methode de modification de la valeur du deuxième loyer, avec un matériel.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>loy1</code> - La nouvelle valeur du deuxième loyer.</dd>
</dl>
</li>
</ul>
<a name="getLoy2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoy2</h4>
<pre>public static&nbsp;int&nbsp;getLoy2()</pre>
<div class="block">Récupérer la valeur du troisième loyer, avec deux matériels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur du troisième loyer.</dd>
</dl>
</li>
</ul>
<a name="setLoy2-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoy2</h4>
<pre>public static&nbsp;void&nbsp;setLoy2(int&nbsp;loy2)</pre>
<div class="block">Methode de modification de la valeur du troisième loyer, avec deux matériels.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>loy2</code> - caseDepartPassage
                La nouvelle valeur du troisième loyer.</dd>
</dl>
</li>
</ul>
<a name="getLoy3--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoy3</h4>
<pre>public static&nbsp;int&nbsp;getLoy3()</pre>
<div class="block">Récupérer la valeur du quatrième loyer, avec trois matériels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un entier correspondant à la valeur du quatrième loyer.</dd>
</dl>
</li>
</ul>
<a name="setLoy3-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoy3</h4>
<pre>public static&nbsp;void&nbsp;setLoy3(int&nbsp;loy3)</pre>
<div class="block">Methode de modification de la valeur du quatrième loyer, avec trois matériels.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>loy3</code> - La nouvelle valeur du quatrième loyer.</dd>
</dl>
</li>
</ul>
<a name="getCouleur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCouleur</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCouleur()</pre>
<div class="block">Récupérer la valeur de la couleur.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Une chaine de charactères correspondant à la couleur de la case.</dd>
</dl>
</li>
</ul>
<a name="setCouleur-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCouleur</h4>
<pre>public&nbsp;void&nbsp;setCouleur(java.lang.String&nbsp;couleur)</pre>
<div class="block">Methode de modification de la couleur de la case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>couleur</code> - La nouvelle valeur de la couleur.</dd>
</dl>
</li>
</ul>
<a name="getListePlateau--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListePlateau</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../back/Case.html" title="class in back">Case</a>&gt;&nbsp;getListePlateau()</pre>
<div class="block">Récupérer la liste des cases du plateau.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Une ArrayList de Case correspondant aux cases du plateau.</dd>
</dl>
</li>
</ul>
<a name="setListePlateau-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListePlateau</h4>
<pre>public&nbsp;void&nbsp;setListePlateau(java.util.ArrayList&lt;<a href="../back/Case.html" title="class in back">Case</a>&gt;&nbsp;listePlateau)</pre>
<div class="block">Methode de modification des cases du plateau.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listePlateau</code> - La nouvelle ArrayList de Case.</dd>
</dl>
</li>
</ul>
<a name="getCase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCase</h4>
<pre>public&nbsp;<a href="../back/Case.html" title="class in back">Case</a>&nbsp;getCase(java.lang.String&nbsp;nom)</pre>
</li>
</ul>
<a name="getNbMateriels--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbMateriels</h4>
<pre>public&nbsp;int&nbsp;getNbMateriels()</pre>
</li>
</ul>
<a name="modifierLoyers-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modifierLoyers</h4>
<pre>public&nbsp;void&nbsp;modifierLoyers(boolean&nbsp;modif)</pre>
</li>
</ul>
<a name="toutesCasesAchetees--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toutesCasesAchetees</h4>
<pre>public&nbsp;boolean&nbsp;toutesCasesAchetees()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Plateau.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Partie.TypesPartie.html" title="enum in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Propriete.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Plateau.html" target="_top">Frames</a></li>
<li><a href="Plateau.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
